For the complete documentation index, see llms.txt. This page is also available as Markdown.

Warehouses

Get warehouses

get
/warehouses/

This api is used to sync warehouses with OutSmart. Each warehouse record can contain the following data:

Parameter
Description
Type (size)

wse_id

Warehouse Primary Key

int(11)

wse_cus_id

Customer ID

int(11)

wse_code

Warehouse code

varchar(55)

wse_wse_code

Parent warehouse code

varchar(55)

wse_type

Warehouse type (Building, Vehicle, Cilinder, Other)

varchar(55)

wse_image

(Path to) Warehouse image

varchar(255)

wse_order_message

Task description when order level is reached

text

wse_employee_nr

Employee responsible for warehouse

varchar(255)

wse_description

Warehouse description

varchar(255)

wse_date_start

Start date

Date

wse_date_end

End date

Date

wse_date_certification

Certification date

Date

wse_remark

Remarks

text

created_at

Warehouse created at

timestamp

updated_at

Warehouse updated at

timestamp

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/warehouses/
GET /warehouses/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add warehouses

post
/warehouses/
Parameter
Description
Required
Type (size)

wse_code

Warehouse code

Y

varchar(55)

wse_wse_code

Parent warehouse code

N

varchar(55)

wse_type

Warehouse type (Building, Vehicle, Cilinder, Other)

varchar(55)

N

wse_image

(Path to) Warehouse image: a full url must be provided

N

varchar(255)

wse_order_message

Task description when order level is reached

N

text

wse_employee_nr

Employee responsible for warehouse

N

varchar(255)

wse_description

Warehouse description

N

varchar(255)

wse_date_start

Start date

N

Date

wse_date_end

End date

N

Date

wse_date_certification

Certification date

N

Date

wse_remark

Remarks

N

text

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/warehouses/
POST /warehouses/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?